Skip to main content
GET
/
v1
/
crm
/
residuals
/
{residualId}
/
merchant-summaries
/
{merchantSummaryId}
/
details
/
{detailId}
Get a Residual Merchant Detail
curl --request GET \
  --url https://api.example.com/v1/crm/residuals/{residualId}/merchant-summaries/{merchantSummaryId}/details/{detailId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "period": "<string>",
  "feeCategory": "<string>",
  "number": 0,
  "amount": 123,
  "income": 123,
  "expense": 123,
  "gross": 123,
  "split": 0,
  "total": 123,
  "merchantResidualId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

residualId
string
required
merchantSummaryId
string
required
detailId
string
required

Query Parameters

audienceClientId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

The residual merchant detail record.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
period
string | null
required
feeCategory
string | null
required
number
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
amount
number | null
required
income
number | null
required
expense
number | null
required
gross
number | null
required
split
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
total
number | null
required
merchantResidualId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$